> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/package-reference/components-library/grids/gm-user-grid-split-view.md).

# GM - User Grid Split View

(gmpkg:UserGridSplitViewComponent)

## **Documentation**

**GM - User Grid Split View** component is designed to help users achieving a clearer view of the User Grids and streamline grids management.

**Use case:** Display the User Grids created based on the opportunity object. See [**User Grid - Split View**](https://docs.gridmate.io/advanced-guides/user-grid/user-grid-split-view.md).

## **Specification**

<table data-full-width="true"><thead><tr><th width="213.33333333333331">Property</th><th width="159.6727294921875">Type</th><th width="475.22318522135424">Description</th></tr></thead><tbody><tr><td>Target Object</td><td>String</td><td>The name of the object used for displaying only its User Grids.</td></tr><tr><td>Split View Name</td><td>String</td><td>Unique split view name to identify the component on the page.</td></tr><tr><td>Default Grid</td><td>String</td><td><strong>Developer Name</strong> of the User Grid that we want to set as the default Grid.</td></tr><tr><td>List Label</td><td>String</td><td>Set the label of the split view displayed on the left side. The default value is User Grid.</td></tr><tr><td>Grid Filter</td><td>String</td><td><p>JSON string defining the grid filter criteria, which is applied to get the list of grids to display.</p><pre class="language-json"><code class="lang-json">{
    "Name": {
        "operator": "in",
        "value": "('GM Opportunity Grid','Pipeline Opportunity Grid')"
    }
}
</code></pre></td></tr><tr><td>Inline Filter</td><td>String</td><td>Json string to define an extra filter criteria to the grid in the context of the split view. this filter gets added to the grid admin filter.</td></tr><tr><td>View Height</td><td>Integer</td><td><p>Set the grid height. Set this property if you want to control the height and show up components after the grid.</p><p>The user has to scroll vertically to see more records.</p><p>If the value is set 9999, The grid will use the remaining space on the page even if the user resizes the window. This behavior is relevant to build a responsive app page. The default value is 9999.</p></td></tr><tr><td>Enable Create</td><td>Boolean</td><td>Check this option if you want to create a grid.</td></tr><tr><td>Disable Refresh View</td><td>Boolean</td><td>Check this option if you want to disable the view refresh after an update. The default value is true.</td></tr><tr><td>Collapse Split View</td><td>Boolean</td><td>Check this option if you want to collapse the split view by default.</td></tr><tr><td>Enable Toggle Fullscreen</td><td>Boolean</td><td>Check this option if you want to enable toggle fullscreen.</td></tr><tr><td>Hide App Header</td><td>Boolean</td><td>Check this option if you want to hide the app page header. This option is useful only if the component is used in an App Page.</td></tr><tr><td>Disable Navigation</td><td>Boolean</td><td>Check this option to disable the navigation to the grid record page.</td></tr><tr><td>Density</td><td>String</td><td>Grid density : comfy | compact. The default value is comfy.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="UserGridSplitViewComponent.design" %}
{% code fullWidth="true" %}

```xml
<design:component label="GM - User Grid Split View">
    <design:attribute name="targetObject" label="Target Object" 
                      description="Target Object API Name"/>                                                         
                         
    <design:attribute name="splitViewName" label="Split View Name" 
                      description="Unique split view name to identify the component on the page"/>

    <design:attribute name="defaultUserGrid" label="Default Grid" 
                      description="Default grid to load"/>    

    <design:attribute name="objectLabel" label="List Label" 
                      description="List Label"/>    

    <design:attribute name="gridFilter" label="Grid Filter" 
                      description="Json string to define user grid filter criteria"/>        

    <design:attribute name="adminFilter" label="Inline Filter" 
                      description="Json string to define inline filter criteria"/>        

    <design:attribute name="height" label="View Height" 
                      description="Set the view height"/>  

    <design:attribute name="canCreate" label="Enable Create" 
                      description="Check this option if you want to create a grid"/>

    <design:attribute name="inline" label="Disable Refresh View" 
                      description="Check this option if you want to disable the view refresh after an update"/>

    <design:attribute name="collapseSplitView" label="Collapse Split View" 
                      description="Check this option if you want to collapse the split view"/>                                                  

    <design:attribute name="noNavigation" label="Disable Navigation" 
                      description="Hide the navigation to the grid"/> 

    <design:attribute name="canToggleFullscreen" label="Enable Toggle Fullscreen" 
                      description="Check this option if you want to enable toggle fullscreen"/>   

    <design:attribute name="noLexHeader" label="Hide App Header" 
                      description="Hide the app page header"/>                         

    <design:attribute name="density" label="Density" 
                      description="Grid density : comfy | compact"/>                            
</design:component>
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/package-reference/components-library/grids/gm-user-grid-split-view.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
